Subject: [Fot] Pre race contemplation from Canada Corner The Hawk

From: Jason Ostrowski <[email-masked]>
Date: Wed, 15 Jul 2015 22:49:48 -0500

Well, here I sit alone with my thoughts in Canada Corner. 
I made the tow from  Chicago to Road America and have brought with me the fastest car I have ever known. 
Our Cheetah is all ready to go and I am up here early enjoying a few brews as the sun sets to the west over the forest. It is dark now and I'm just enjoying the dead quiet of the Wisconsin night.
Somehow Brian and I lucked our way into being in charge of one of the coolest cars in Vintage Racing. This demon that I strap him into is no joke and the two of us have made milestones in our project of racing progress. Being in charge of this car has given me several new new perspectives on the racing experience that no doubt will strengthen my GT6's; and has made our teammate bond stronger.

I was rather set back after having missed the opportunity to race with ya'll at Summit Point but even those three sleepless days of failure has to be looked on as a Triumph when you understand that sometimes the nasty defeats are the things that make you stronger. 
I missed the Kastner Cup this year because my car was not ready on time. Plain and simple. 
In retrospect, the demons that haunted me that week were many but...
 In the end were perhaps just warnings from the Friendly Ghosts.
Because a few weekends later when I finally took the Zippy car out to race and test the new motor I had a big bottom end failure anyway. 
So, better to have it happen on my home track instead of After a 15 hour tow.
Anyway, I think I have those problems solved and this weekend I get to help my best friend go for an overall win against Lola T 70's and Lotus 23's, and other cars of deep pocket owners as us little guys go out to beat them in what has been recently printed in the funny pages as the fastest Cheetah on the planet.
I gotta think that life is good right? 
Wish us luck!
And pray for Brian!
Thanks for listening.
Jason Ostrowski 
Friendly Ghost Racing
1969 Triumph GT6+ race cars 
And Crew Chief for the 1965 Cheetah "Cro-Sal Special"

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive